/**
 * 仪表盘图表
 * @param array
 * @returns {___anonymous_option}
 */
function createOptionDashboard(array){
	// 指定图表的配置项和数据
	option = {
	    tooltip : {
          show:false,
			formatter: "{a} <br/>{c} {b}"
	    },
	    series : [
	        {
	            name: array[0].name,
	            type: 'gauge',
              	bottom:'0',
	            z: 3,
	            min: array[0].min,
	            max:  array[0].max,
	            splitNumber: array[0].split,
	            radius: '45%',
	            axisLine: {            // 坐标轴线
	                lineStyle: {       // 属性lineStyle控制线条样式
	                    width: 5
	                }
	            },
	            axisTick: {            // 坐标轴小标记
	                length: 8,        // 属性length控制线长
	                lineStyle: {       // 属性lineStyle控制线条样式
	                    color: 'auto'
	                }
	            },
	            splitLine: {           // 分隔线
	                length: 10,         // 属性length控制线长
	                lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
	                    color: 'auto'
	                }
	            },
				axisLabel:{
					textStyle:{
						fontSize:10
					}
				},
				pointer:{
				  length:'40%',
				  width:3
				},
	            title : {
	            	offsetCenter: [0, '90%'],       // x, y，单位px
	                textStyle: {       // 其余属性默认使用全局文本样式，详见TEXTSTYLE
	                    fontWeight: 'normal',
	                    fontSize: 10,
	                    fontStyle: 'normal'
	                }
	            },
	            detail : {
	                textStyle: {       // 其余属性默认使用全局文本样式，详见TEXTSTYLE
	                    fontWeight: 'bolder',
						fontSize:'15'
	                }
	            },
	            data:[{value: array[0].value, name: array[0].name}]
	        },
	        {
	            name: array[1].name,
	            type: 'gauge',
				bottom:'0',
	            center: ['16%', '50%'],    // 默认全局居中
	            radius: '35%',
	            min: array[1].min,
	            max:  array[1].max,
	           // splitNumber: array[1].split/2,
	            splitNumber: 4,
	            endAngle:45,
	            axisLine: {            // 坐标轴线
	                lineStyle: {       // 属性lineStyle控制线条样式
	                    width:3
	                }
	            },
	            axisTick: {            // 坐标轴小标记
	                length:8,        // 属性length控制线长
	                lineStyle: {       // 属性lineStyle控制线条样式
	                    color: 'auto'
	                }
	            },
	            splitLine: {           // 分隔线
	                length:10,         // 属性length控制线长
	                lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
	                    color: 'auto'
	                }
	            },
				axisLabel:{
					textStyle:{
						fontSize:10
					}
				},
	            pointer: {
                length:'40%',
                width:3
	            },
            title : {
              offsetCenter: [0, '90%'],       // x, y，单位px
              textStyle: {       // 其余属性默认使用全局文本样式，详见TEXTSTYLE
                fontWeight: 'normal',
                fontSize: 10,
                fontStyle: 'normal'
              }
            },
	            detail: {
	                textStyle: {       // 其余属性默认使用全局文本样式，详见TEXTSTYLE
	                    fontWeight: 'bolder',
						fontSize:'15'
	                }
	            },
	            data:[{value: array[1].value, name: array[1].name}]
	        },
	        {
	            name: array[2].name,
	            type: 'gauge',
              	bottom:'0',
	            center: ['84%', '50%'],    // 默认全局居中
	            radius: '35%',
	            min: array[2].min,
	            max:  array[2].max,
	          // splitNumber: array[2].split,
	           splitNumber: 4,
            	startAngle:135,
            	endAngle:-45,
	            axisLine: {            // 坐标轴线
	                lineStyle: {       // 属性lineStyle控制线条样式
	                    width: 3
	                }
	            },
	            axisTick: {            // 坐标轴小标记
	                splitNumber: 5,
	                length: 8,        // 属性length控制线长
	                lineStyle: {       // 属性lineStyle控制线条样式
	                    color: 'auto'
	                }
	            },
	            splitLine: {           // 分隔线
	                length: 10,         // 属性length控制线长
	                lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
	                    color: 'auto'
	                }
	            },
				axisLabel:{
					textStyle:{
						fontSize:10
					}
				},
	            pointer: {
                length:'40%',
	                width:3
	            },
            title : {
              offsetCenter: [0, '90%'],       // x, y，单位px
              textStyle: {       // 其余属性默认使用全局文本样式，详见TEXTSTYLE
                fontWeight: 'normal',
                fontSize: 10,
                fontStyle: 'normal'
              }
            },
	            detail: {
	                textStyle: {       // 其余属性默认使用全局文本样式，详见TEXTSTYLE
	                    fontWeight: 'bolder',
						fontSize:'15'
	                }
	            },
	            data:[{value: array[2].value, name: array[2].name}]
	        }
	    ]
	};
	return option;
}

/**
 * 漏斗
 * @param obj
 * @returns {___anonymous_option}
 */
function createOptionFunnel(obj){
	var data_title = new Array();
	for(var i=0;i<obj.data_out.length;i++){
		data_title.push(obj.data_out[i].name);
	}
	option = {
	    tooltip: {
	        trigger: 'item',
	        formatter: "{a}{b} : {c}"
	    },
	    legend: {
	    	 // data: ['完成调研问卷次数','创建客户数','申请贷款人数'],
		 left:"center",
	     data: data_title
	    },
	    series: [
	        {
	            name: obj.name_out,
	            type: 'funnel',
	            left: 'left',
				bottom: '5%',
	            width: '50%',
               	maxSize: '50%',
	            label: {
	                normal: {
	                  formatter: obj.name_out+'{b} : {c}',
                      position:'outside',
	                },
	                emphasis: {
	                    position:'inside',
	                    //formatter: '{b}'+obj.name_out+': {c}'
	                    formatter: '{c}'
	                },
					textStyle:{
						fontSize:10
					}
	            },
	            labelLine: {
	                normal: {
	                    show: false
	                }
	            },
	            itemStyle: {
	                normal: {
	                    opacity: 0.7
	                }
	            },
	           data : obj.data_out
	           /* data: [
	                {value: 60, name: '完成调研问卷次数'},
	                {value: 40, name: '创建客户数'},
	                {value: 10, name: '申请贷款人数'}
	            ]*/
	        },
	        {
	            name: obj.name_in,
	            type: 'funnel',
	            left: 'left',
				bottom: '5%',
	            width: '50%',
	            maxSize: '50%',
	            label: {
	                normal: {
	                    position: 'inside',
	                    formatter: '{c}',
	                    textStyle: {
	                        color: '#fff',
							fontSize:10
	                    }
	                },
	                emphasis: {
	                    position:'inside',
	                   // formatter:obj.name_in +  '{b}: {c}'
	                    formatter:'{c}'
	                }
	            },
	            itemStyle: {
	                normal: {
	                    opacity: 0.5,
	                    borderColor: '#fff',
	                    borderWidth: 2
	                }
	            },
	            data : obj.data_in
	           /* data: [
	                {value: 60, name: '完成调研问卷次数'},
	                {value: 40, name: '创建客户数'},
	                {value: 20, name: '申请贷款人数'}
	            ]*/
	        }
	    ]
	};
	return option;
};

/**
 * 饼状图
 * @param obj
 * @returns {___anonymous_option}
 */
function createOptionPie(array){
	var data_title = new Array();
	for(var i=0;i<array.length;i++){
		data_title.push(array[i].name ? array[i].name : "");
	}
	option = {
	    tooltip : {
	        trigger: 'item',
	        formatter: "{a} <br/>{b} : {c} ({d}%)"
	    },
	    legend: {
          x: 'center',
	        /*data: ['直接访问','邮件营销','联盟广告','视频广告','搜索引擎']*/
	    	data: data_title
	    },
	    series : [
	        {
	            name: '拒绝理由',
	            type: 'pie',
	            radius : [0, '75%'],
	            center: ['50%', '50%'],
	           /* data:[
	                {value:335, name:'直接访问'},
	                {value:310, name:'邮件营销'},
	                {value:234, name:'联盟广告'},
	                {value:135, name:'视频广告'},
	                {value:1548, name:'搜索引擎'}
	            ],*/
	            data:array,
	            itemStyle: {
	                emphasis: {
	                    shadowBlur: 10,
	                    shadowOffsetX: 0,
	                    shadowColor: 'rgba(0, 0, 0, 0.5)'
	                }
	            }
	        }
	    ]
	};
	return option;
}

function createOptionPie2(obj){
	var data_title = new Array();
	for(var i=0;i<obj.array_in.length;i++){
		data_title.push(obj.array_in[i].name);
	}
	for(var i=0;i<obj.array_out.length;i++){
		data_title.push(obj.array_out[i].name);
	}
	option = {
	    tooltip: {
	        trigger: 'item',
	        formatter: "{a} <br/>{b}: {c} ({d}%)"
	    },
	    legend: {
	        x: 'center',
	        /*data:['直达','营销广告','搜索引擎','邮件营销','联盟广告','视频广告','百度','谷歌','必应','其他']*/
	    	data:data_title
	    },
	    series: [
	        {
	            name:'访问来源',
	            type:'pie',
	            selectedMode: 'single',
	            radius: [0, '50%'],
				center:['50%','58%'],
	            label: {
	                normal: {
						show:false,
	                    position: 'inner',
						textStyle:{
							fontSize:10
						}
	                }
	            },
	            labelLine: {
	                normal: {
	                    show: false
	                }
	            },
	            /*data:[
	                  {value:335, name:'直达', selected:true},
	                  {value:679, name:'营销广告'},
	                  {value:1548, name:'搜索引擎'}
	                  ]*/
	            data:obj.array_in
	        },
	        {
	            name:'访问来源',
	            type:'pie',
	            radius: ['60%', '70%'],
				center:['50%','58%'],
				label: {
					normal: {
						show:false,
						textStyle:{
							fontSize:10
						}
					}
				},
	            /*data:[
	                {value:335, name:'直达'},
	                {value:310, name:'邮件营销'},
	                {value:234, name:'联盟广告'},
	                {value:135, name:'视频广告'},
	                {value:1048, name:'百度'},
	                {value:251, name:'谷歌'},
	                {value:147, name:'必应'},
	                {value:102, name:'其他'}
	            ]*/
	        	data:obj.array_out
	        }
	    ]
	};
	return option;
}


function createOptionBarLine(array){
	option = {
	    tooltip : {
	        trigger: 'axis',
	        axisPointer : {            // 坐标轴指示器，坐标轴触发有效
	            type : 'shadow'        // 默认为直线，可选为：'line' | 'shadow'
	        },
			position: ['50%', '50%']
	    },
	    legend: {
	        data:['创建客户总量','营销任务完成率']
	    },
	    grid: {
	        left: '5%',
          width:'90%',
	        bottom: '5%',
	        containLabel: true
	    },
	    xAxis : [
	        {
	            type : 'category',
	            //data : ['周一','周二','周三','周四','周五','周六','周日']
	            data : array[0],
	            axisLabel:{
	                /*formatter:'{value} 月'*/
	            }
	        }
	    ],
	    yAxis : [
	        {
	            type : 'value'
	        },
	        {
	            type : 'value',
	            axisLabel:{
	                formatter:'{value} %'
	            }
	        }
	    ],
	    series : [
	        {
	            name:'创建客户总量',
	            type:'bar',
	            yAxisIndex:0,
              label: {
                normal: {
                  show: true,
                  position: 'inside'
                }
              },
	            /*data:[320, 332, 301, 234, 390, 330, 520]*/
            	data : array[1]
	        },
	        {
	            name:'营销任务完成率',
	            type:'line',
	            yAxisIndex:1,
              	label: {
                normal: {
                  show: true,
                  position: 'inside',
                  textStyle:{
                    color:'#000'
                  }
                }
              },
	            /*data:[10, 20, 13, 10, 65, 10, 90]*/
            	data : array[2]
	        }
	    ]
	};
	return option;
}

function createOptionLine(obj){
        option = {
          tooltip : {
            trigger: 'axis',
            axisPointer : {            // 坐标轴指示器，坐标轴触发有效
              type : 'shadow'        // 默认为直线，可选为：'line' | 'shadow'
            }
          },
          legend: {
            data:['创建客户数','提交申请客户数','完成调查客户数']
          },
          grid: {
            left: '5%',
            width:'90%',
            bottom: '5%',
            containLabel: true
          },
          xAxis : [
            {
              type : 'category',
              data : obj.names,
              axisLabel:{
                /*formatter:'{value} 月'*/
              }
            }
          ],
          yAxis : [
            {
              type : 'value',
              axisLabel:{
                formatter:'{value} %'
              }
            }
          ],
          series : [
            {
              name:'创建客户数',
              type:'line',
             // yAxisIndex:0,
              /*data:[320, 332, 301, 234, 390, 330, 520]*/
              data : obj.array_c
            },
            {
              name:'提交申请客户数',
              type:'line',
            //  yAxisIndex:1,
              /*data:[10, 20, 13, 10, 65, 10, 90]*/
              data : obj.array_apply
            },
            {
              name:'完成调查客户数',
              type:'line',
           //   yAxisIndex:1,
              /*data:[10, 20, 13, 10, 65, 10, 90]*/
              data : obj.array_research
            }
          ]
        };
        return option;
}


function createOptionBar(array){
	var array1 = new Array(),array2 = new Array();
	for(var i=0;i<array[0].length;i++){
		array1.push(array[0][i].value);
	}
	for(var i=0;i<array[1].length;i++){
		array2.push(array[1][i].value);
	}
	var y_data = ["平均"];
	if(array1.length==3){
		y_data = ['倒数第一','平均','第一名']
	}
	if(array1.length==5){
		y_data = ['倒数第一','倒数第二','平均','第二名','第一名']
	}
	if(array1.length==7){
		y_data = ['倒数第一','倒数第二','倒数第三','平均','第三名','第二名','第一名']
	}
	option = {
	    tooltip : {
	        trigger: 'axis',
	        axisPointer : {            // 坐标轴指示器，坐标轴触发有效
	            type : 'shadow'        // 默认为直线，可选为：'line' | 'shadow'
	        },
	        formatter: function (params, ticket, callback) {
	        	var result = params[0].name+"<br\>";
				var p_in = array[params[0].seriesIndex][params[0].dataIndex].name;
	        	for(var x=0;x<params.length;x++){

	        		var iterm = params[x];
	        		result += "<div style='max-width:100%;white-space: normal;'><span style='color:"+iterm.color+"'> ● </span>"+array[params[x].seriesIndex][params[x].dataIndex].name+" : "+(iterm.value<0?(-iterm.value):iterm.value)+"</div><br\>";

	        	}
	            return result;
	        }
	    },
	    legend: {
	        data:[ '个人','网点']
	    },
	    grid: {
	        left: '5%',
          	width:'90%',
	        bottom: '5%',
	        containLabel: true
	    },
	    xAxis : [
	        {
	            type : 'value',
	            axisLabel:{
	                formatter: function (value, index) {
	                    if(value < 0)
	                        value = -value;
	                    return value;
	                }
	            }
	        }
	    ],
	    yAxis : [
	        {
	            type : 'category',
	            axisTick : {show: false},
	            data :y_data
	        }
	    ],
	    series : [
	        {
	            name:'个人',
	            type:'bar',
	            stack: 'same',
	            label: {
	                normal: {
	                    show: false,
	                    position:'inside',
	                    formatter:function(params){
	                    	if(params.value < 0)
	                    		params.value = -params.value;
	                    	return array[params.seriesIndex][params.dataIndex].name+""+params.value;
	                    }
	                },
					textStyle:{
						color:'#000'
					}
	            },
	            data:array1
	        },
	        {
	            name:'网点',
	            type:'bar',
	            stack: 'same',
	            label: {
	                normal: {
	                    show: false,
	                    position:'inside',
	                    formatter:function(params){
	                    	if(params.value < 0)
	                    		params.value = -params.value;
	                    	return array[params.seriesIndex][params.dataIndex].name+" "+params.value;
	                    }
	                }
	            },
	            data:array2
	        }
	    ]
	};
	return option;
}


function createOptionBar2(array){
	var array0 = ['倒数第一','倒数第二','倒数第三','平均','第三名','第二名','第一名'],array1 = new Array(),array2 = new Array(),array3 = new Array();
	for(var i=0;i<array.length;i++){
		array1.push(array[i].total);
	}
	for(var i=0;i<array.length;i++){
		array2.push(array[i].over);
	}
	for(var i=0;i<array.length;i++){
		array3.push(array[i].delay);
	}
	option = {
	    tooltip : {
	        trigger: 'axis',
	        axisPointer : {            // 坐标轴指示器，坐标轴触发有效
	            type : 'shadow'        // 默认为直线，可选为：'line' | 'shadow'
	        },
	        formatter: function (params, ticket, callback) {
	        	var result = params[0].name+"<br\>";
	        	for(var x=0;x<params.length;x++){

	        		var iterm = params[x];
	        		result += "<span style='color:"+iterm.color+"'> ● </span>"+iterm.seriesName+" : "+(iterm.value<0?(-iterm.value):iterm.value)+"<br\>";

	        	}
	            return result;
	        }
	    },
	    legend: {
	        data:['总任务数', '未按时完成', '按时完成']
	    },
	    grid: {
	        left: '5%',
	        width:'90%',
	        bottom: '5%',
	        containLabel: true
	    },
	    xAxis : [
	        {
	            type : 'value',
	            axisLabel:{
	                formatter: function (value, index) {
	                    if(value < 0)
	                        value = -value;
	                    return value;
	                }
	            }
	        }
	    ],
	    yAxis : [
	        {
	            type : 'category',
	            axisTick : {show: false},
	            data : array0
	        }
	    ],
	    series : [
	        {
	            name:'总任务数',
	            type:'bar',
	            label: {
	                normal: {
	                    show: true,
	                    position: 'right',
	                    formatter:function(params){
	                    	if(params.value < 0)
	                    		params.value = -params.value
	                    	if(params.value == 0)
	                    		params.value = '';
	                    	return params.value;
	                    }
	                }
	            },
	            data:array1
	        },
	        {
	            name:'按时完成',
	            type:'bar',
	            stack: '总量',
	            label: {
	                normal: {
	                    show: true,
	                    position: 'right',
	                    formatter:function(params){
	                    	if(params.value < 0)
	                    		params.value = -params.value
	                    	if(params.value == 0)
	                    		params.value = '';
	                    	return params.value;
	                    }
	                }
	            },
	            data:array2
	        },
	        {
	            name:'未按时完成',
	            type:'bar',
	            stack: '总量',
	            label: {
	                normal: {
	                    show: true,
	                    position: 'left',
	                    formatter:function(params){
	                    	if(params.value < 0)
	                    		params.value = -params.value
	                    	if(params.value == 0)
	                    		params.value = '';
	                    	return params.value;
	                    }
	                }
	            },
	            data:array3
	        }
	    ]
	};
	return option;
}


function createOptionBar3(obj){
	var series = new Array();
	for(var i=0;i<obj.array.length;i++){
		var iterm = obj.array[i];
		var obj_series = {
	            name: iterm.name,
	            type: 'bar',
	            stack: '总量',
	            label: {
	                normal: {
	                    show: true,
	                    position: 'inside',
	                    formatter:function(params){
	                    	if(params.value==0)
	                    		return '';
	                    	else
	                    		return (params.value*100).toFixed(2)+'%'
	                    }
	                }
	            },
	            data: iterm.array
	        };
		series.push(obj_series);
	}
	option = {
		    tooltip : {
		        trigger: 'axis',
		        axisPointer : {            // 坐标轴指示器，坐标轴触发有效
		            type : 'shadow'        // 默认为直线，可选为：'line' | 'shadow'
		        }
		    },
		    legend: {
		        /*data: ['等额本息','等额本金','按月还息到期还本','分期：提前收手续费','分期：每月付手续费','按月付息按年还本','不规则还款','随借随还']*/
			  left:'5%',
					data : obj.list_repayment_name
				},
		    grid: {
		        left: '5%',
		        width:'90%',
		        bottom: '5%',
				top:110,
		        containLabel: true
		    },
		    xAxis:  {
		        type: 'value',
	            axisLabel:{
	                formatter: function (value, index) {
	                    return (value*100)+'%';
	                }
	            }
		    },
		    yAxis: {
		        type: 'category',
		     /*   data: ['标准信用','非标准信用','标准抵押','非标准抵押','标准质押','非标准质押','标准担保','非标准担保']*/
		        data : obj.list_type_name
		    },
		    series: series
		    	/*[
		        {
		            name: '等额本息',
		            type: 'bar',
		            stack: '总量',
		            label: {
		                normal: {
		                    show: true,
		                    position: 'insideRight'
		                }
		            },
		            data: [320, 302, 301, 334, 390, 330, 320,12]
		        },{
		            name: '等额本金',
		            type: 'bar',
		            stack: '总量',
		            label: {
		                normal: {
		                    show: true,
		                    position: 'insideRight'
		                }
		            },
		            data: [320, 302, 301, 334, 390, 330, 320,12]
		        },
		        {
		            name: '按月还息到期还本',
		            type: 'bar',
		            stack: '总量',
		            label: {
		                normal: {
		                    show: true,
		                    position: 'insideRight'
		                }
		            },
		            data: [120, 132, 101, 134, 90, 230, 210,54]
		        },
		        {
		            name: '分期：提前收手续费',
		            type: 'bar',
		            stack: '总量',
		            label: {
		                normal: {
		                    show: true,
		                    position: 'insideRight'
		                }
		            },
		            data: [220, 182, 191, 234, 290, 330, 310,85]
		        },
		        {
		            name: '分期：每月付手续费',
		            type: 'bar',
		            stack: '总量',
		            label: {
		                normal: {
		                    show: true,
		                    position: 'insideRight'
		                }
		            },
		            data: [150, 212, 201, 154, 190, 330, 410,457]
		        },
		        {
		            name: '按月付息按年还本',
		            type: 'bar',
		            stack: '总量',
		            label: {
		                normal: {
		                    show: true,
		                    position: 'insideRight'
		                }
		            },
		            data: [820, 832, 901, 934, 1290, 1330, 1320,487]
		        },
		        {
		            name: '不规则还款',
		            type: 'bar',
		            stack: '总量',
		            label: {
		                normal: {
		                    show: true,
		                    position: 'insideRight'
		                }
		            },
		            data: [820, 832, 901, 934, 1220, 1330, 1320,4444]
		        },
		        {
		            name: '随借随还',
		            type: 'bar',
		            stack: '总量',
		            label: {
		                normal: {
		                    show: true,
		                    position: 'insideRight'
		                }
		            },
		            data: [820, 832, 901, 934, 1290, 1330, 320,457]
		        }
		    ]*/

		};
	return option;
}


function createOptionScatter(obj){
	var dataBJ = obj.data_array;
	          var itemStyle = {
	              normal: {
	                  opacity: 0.8,
	                  shadowBlur: 10,
	                  shadowOffsetX: 0,
	                  shadowOffsetY: 0,
	                  shadowColor: 'rgba(0, 0, 0, 0.5)'
	              }
	          };

	          option = {
	              backgroundColor: '#fff',
	              color: [
	                  '#dd4444', '#fec42c', '#80F1BE'
	              ],
	              legend: {
	                  y: 'top',
	                  data: [''],
	                  textStyle: {
						//  color: '#fff',
						  fontSize: 12
	                  }
	              },
	              grid: {
	                  x: '20%',
	                  x2: '18%',
	                  y: '15%',
	                  y2: '15%',
	                  bottom: '32%',
	              },
	              tooltip: {
	                  padding: 10,
	                //  backgroundColor: '#222',
	               //   borderColor: '#777',
					  position:'bottom',
	                 // borderWidth: 1,
	                  formatter: function (obj) {
	                      var value = obj.value;
	                      return '<div style="border-bottom: 1px solid rgba(255,255,255,.3);padding-bottom: 7px;margin-bottom: 7px;">'
	                          + obj.seriesName + ' ' + value[0] + '</div>'
	                          + '客户年龄段：' + ['','30以下','31-35','36-40','41-45','46-50','51-60','61以上'][value[1]] + '<br>'
	                          + '客户人数：' + value[2] + '<br>';
	                  }
	              },
	              xAxis: {
	                  type: 'category',
	                  name: '行业',
	                  data : obj.trade_name,
	                  nameTextStyle: {
	                //      color: '#fff',
	                      fontSize: 14
	                  },
	                  splitLine: {
	                      show: false
	                  },
	                  axisLine: {
	                      lineStyle: {
	                 //         color: '#777'
	                      }
	                  },
	                  axisTick: {
	                      lineStyle: {
	                  //        color: '#777'
	                      },
	                      interval:0
	                  },
	                  axisLabel: {
	                      formatter: '{value}',
	                      textStyle: {
	                   //       color: '#fff'
	                      },
	                      interval:0,
	                      rotate:20
	                  }
	              },
	              yAxis: {
	                  type: 'value',
	                  name: '客户年龄段',
	                  max : 7,
	              //    nameLocation: 'end',
	                  nameGap: 20,
	                  nameTextStyle: {
	               //       color: '#fff',
	                      fontSize: 14
	                  },
	                  axisLine: {
	                      lineStyle: {
	               //           color: '#777'
	                      }
	                  },
	                  axisTick: {
	                      lineStyle: {
	                 //         color: '#777'
	                      }
	                  },
	                  splitLine: {
	                      show: false
	                  },
	                  axisLabel: {
	                      textStyle: {
	                //          color: '#fff'
	                      },
	                      formatter:function(value, index){
	                          return ['','30以下','31-35','36-40','41-45','46-50','51-60','61以上'][value];
	                      }
	                  }
	              },
	              visualMap: [
	                  {
	                      left: 'right',
	                      show:false,
	                      top: '10%',
	                      dimension: 2,
	                      min: 0,
	                      max: 10,
	                      itemWidth: 30,
	                      itemHeight: 120,
	                      calculable: true,
	                      precision: 0.1,
	                      text: ['客户人数'],
	                      textGap: 30,
	                      textStyle: {
	                       //   color: '#fff'
	                      },
	                      inRange: {
	                          symbolSize: [10, 70]
	                      },
	                      outOfRange: {
	                          symbolSize: [10, 70],
	                          color: ['rgba(255,255,255,.2)']
	                      },
	                      controller: {
	                          inRange: {
	                              color: ['#c23531']
	                          },
	                          outOfRange: {
	                          //    color: ['#444']
	                          }
	                      }
	                  }
	              ],
	              series: [
	                  {
	                      name: '',
	                      type: 'scatter',
	                      itemStyle: itemStyle,
	                      data: dataBJ
	                  }
	              ]
	          };

	          return option;
}
