/*
 *参数说明: message:你需要提示信息;
 *使用方法:
 $.prompt("修改成功");
 $.success("修改成功"); //普通提示
 $.error("修改成功"); //错误提示
 $.loading();//数据完成之前的loadding状态
 $.closeLoading();//数据完成之后关闭loadding状态
 */
jQuery.extend({
  prompt : function (message,callback) {//模态框提示
    var _this=this;
    var elementString='';
    elementString+='<div class="prompt-modal bg-white border-radius-6">',
        elementString+= '<div class="modal-header f-18">提示</div>',
        elementString+='<div class="modal-mes pd-15 f-16">'+message+'</div>',
        elementString+='<div class="f-16 text-center modal-footer"><span class="btn btn-blue btn-confirm border-radius-6" >确定</span></div>',
        elementString+='</div>',
        elementString+='<div class="common-modal-bg"></div>';
    $('body').append(elementString);
    var objHeight=$('.prompt-modal').outerHeight()/2;
    $('.prompt-modal').css('margin-top',-objHeight);
    $('.common-modal-bg,.prompt-modal').stop(true,true).fadeIn();
    $('.prompt-modal .btn-confirm').on('click',function(){
      _this.close(callback);
    });
  },
  confirm : function (message,callback_OK,callback_CANCEL) {//模态框提示
    var _this=this;
    var elementString='';
    elementString+='<div class="prompt-modal bg-white border-radius-6">',
        elementString+= '<div class="modal-header f-18">提示</div>',
        elementString+='<div class="modal-mes pd-15 f-16">'+message+'</div>',
        elementString+='<div class="f-16 text-center modal-footer"><span class="btn btn-blue btn-confirm border-radius-6 mr-10" >确定</span> <span class="btn btn-blue btn-cancel border-radius-6" >取消</span></div>',
        elementString+='</div>',
        elementString+='<div class="common-modal-bg"></div>';
    $('body').append(elementString);
    var objHeight=$('.prompt-modal').outerHeight()/ 2,
        objWidth=$('.prompt-modal').outerWidth()/2;
    $('.prompt-modal').css({'margin-top':-objHeight,'margin-left': -objWidth});
    $('.common-modal-bg,.prompt-modal').stop(true,true).fadeIn();
    $('.prompt-modal .btn-confirm').on('click',function(){
      if(callback_OK && typeof callback_OK == "function"){
        callback_OK();
        _this.close();
      };
    });
    $('.prompt-modal .btn-cancel').on('click',function(){
      if(callback_CANCEL && typeof callback_CANCEL == "function"){
        callback_CANCEL();
        _this.close();
      };
    });
  },
  close : function (callback) {
    var _this=this;
    if(callback){
      callback();
    }
    $('.prompt-modal,.common-modal-bg').stop(true,true).fadeOut(function(){
      $(this).remove();
    });
  },
  toast:function (speciaStyle,message) {//吐司提示
    var _this=this;
    $('body').append('<div class="promptInfo pd-10 border-radius-10 bg-white text-center"><span class="v-md">'+message+'</span></div>');
    var objWidth=$('.promptInfo').outerWidth()/ 2,
        objHeight=$('.promptInfo').outerHeight()/2;
    $('.promptInfo').addClass(speciaStyle).css({'margin-top':-objHeight,'margin-left':-objWidth}).stop(true,true).fadeIn();
    _this.removeAction();
  },
  removeAction:function(){
    var _this=this;
    setTimeout(function(){
      _this.infoRemove();
    },2000);
  },
  success:function(message){
    var _this=this;
    _this.toast('prompt-success',message);
  },
  error:function(message){
    var _this=this;
    _this.toast('prompt-failed',message);
  },
  loading : function () {//模态框提示
    var _this=this;
    var elementString='';
    elementString+='<div class="prompt-modal text-center">',
        elementString+= '<div class="loadEffect"><span></span> <span></span> <span></span> <span></span> <span></span> <span></span> <span></span> <span></span></div>',
        elementString+='</div>',
        elementString+='<div class="common-modal-bg"></div>';
    if($('.prompt-modal').length>0 || $('.common-modal-bg').length>0){
      return;
    };
    $('body').append(elementString);
    var objHeight=$('.prompt-modal').outerHeight()/2;
    $('.prompt-modal').css('margin-top',-objHeight);
    $('.prompt-modal,.common-modal-bg').fadeIn();
  },
  closeLoading:function(){
    var _this=this;
    this.close();
  },
  infoRemove:function(){
    $('.promptInfo').stop(true,true).fadeOut('slow',function(){
      $(this).remove();
    });
  }
});
